include:
  - local: '.gitlab/ci/gpt-lint.yml'
  - local: '.gitlab/ci/.gpt-k6-base.yml'
  - local: '.gitlab/ci/gpt-k6.yml'
  - local: '.gitlab/ci/gpt-docker.yml'
  - local: '.gitlab/ci/gpt-data-generator.yml'
  - local: '.gitlab/ci/gpt-rspec.yml'
  - template: Jobs/Dependency-Scanning.latest.gitlab-ci.yml
  - template: Jobs/Container-Scanning.latest.gitlab-ci.yml
  - template: Jobs/Secret-Detection.latest.gitlab-ci.yml

#################################
##      Security Scanning      ##
#################################

gemnasium-dependency_scanning:
  stage: check
  rules:
    - if: '$CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH && $CI_PIPELINE_SOURCE == "push" || $CI_PIPELINE_SOURCE == "merge_request_event"'

container_scanning:
  stage: container_scanning
  variables:
    CS_IMAGE: $CI_REGISTRY_IMAGE/gitlab-performance-tool:latest
    CS_DOCKERFILE_PATH: Dockerfile.gpt
  rules:
    - if: '$GPT_IMAGES_SCANNING || $GPT_DATA_GENERATOR || $CI_COMMIT_TAG'

container_scanning_generator:
  extends: container_scanning
  variables:
    CS_IMAGE: $CI_REGISTRY_IMAGE/gpt-data-generator:latest
    CS_DOCKERFILE_PATH: Dockerfile.gpt-data-generator

secret_detection:
  stage: check
  rules:
    - if: $CI_PIPELINE_SOURCE == "push"
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
  allow_failure: false
